Bullet Collision Detection & Physics Library: btGEN_Link Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btGEN_Link Class Reference

`#include <btList.h>`

Collaboration diagram for btGEN_Link:
[legend]

## Public Member Functions
| btGEN_Link ()
| btGEN_Link (btGEN_Link *next, btGEN_Link *prev)
btGEN_Link * | getNext () const
btGEN_Link * | getPrev () const
bool | isHead () const
bool | isTail () const
void | insertBefore (btGEN_Link *link)
void | insertAfter (btGEN_Link *link)
void | remove ()

## Private Attributes
btGEN_Link * | m_next
btGEN_Link * | m_prev

## Detailed Description

Definition at line 18 of file btList.h.

## Constructor & Destructor Documentation

## ◆ btGEN_Link() [1/2]

btGEN_Link::btGEN_Link | ( |  | ) |
| inline

Definition at line 21 of file btList.h.

## ◆ btGEN_Link() [2/2]

btGEN_Link::btGEN_Link | ( | btGEN_Link * | next,
|  | btGEN_Link * | prev )
| inline

Definition at line 22 of file btList.h.

## Member Function Documentation

## ◆ getNext()

btGEN_Link * btGEN_Link::getNext | ( |  | ) | const
| inline

Definition at line 24 of file btList.h.

## ◆ getPrev()

btGEN_Link * btGEN_Link::getPrev | ( |  | ) | const
| inline

Definition at line 25 of file btList.h.

## ◆ insertAfter()

void btGEN_Link::insertAfter | ( | btGEN_Link * | link | ) |
| inline

Definition at line 38 of file btList.h.

## ◆ insertBefore()

void btGEN_Link::insertBefore | ( | btGEN_Link * | link | ) |
| inline

Definition at line 30 of file btList.h.

## ◆ isHead()

bool btGEN_Link::isHead | ( |  | ) | const
| inline

Definition at line 27 of file btList.h.

## ◆ isTail()

bool btGEN_Link::isTail | ( |  | ) | const
| inline

Definition at line 28 of file btList.h.

## ◆ remove()

void btGEN_Link::remove | ( |  | ) |
| inline

Definition at line 46 of file btList.h.

## Member Data Documentation

## ◆ m_next

btGEN_Link* btGEN_Link::m_next
| private

Definition at line 53 of file btList.h.

## ◆ m_prev

btGEN_Link* btGEN_Link::m_prev
| private

Definition at line 54 of file btList.h.

The documentation for this class was generated from the following file:

- btList.h